import logo from './logo.svg';
import './App.css';
import React, { useState, useEffect } from 'react';
import { Router, Route, Link, Redirect, Switch } from 'react-router-dom';
import RecipeReviewCard from './post' // импортируем карточку поста в лентеы
import Box from '@mui/material/Box';
import Stack from '@mui/material/Stack';
import Paper from '@mui/material/Paper';
import { styled } from '@mui/material/styles';

import createHistory from "history/createBrowserHistory";


const history = createHistory()

const Autorization = () =>
  <div>
    Авторизация
  </div>


const Registration = () =>
  <div>
    Регистрация
  </div>


const MainPage = () =>
  <div>
    Главная страница
  </div>


const Direct = () =>
  <div>
    Direct
  </div>


// блок поста альтернативный
const Item = styled(Paper)(({ theme }) => ({
  backgroundColor: theme.palette.mode === 'dark' ? '#1A2027' : '#fff',
  width: 500
}));

const Feed = () => {
  return (
    <Box sx={{
      width: '500',
      height: '600',
      margin: '10, 20'
    }}>
      {/* spacing - это отступ между карточками в ленте */}
      <Stack spacing={1}>
        <Item>
          <RecipeReviewCard />
        </Item>
        <Item>
          <RecipeReviewCard />
        </Item>
        <Item>
          <RecipeReviewCard />
        </Item>
      </Stack>
    </Box >
  );
}


const CreatePost = () =>
  <div>
    Страницв создания поста
  </div>


const User = () =>
  <div>
    Страница юзера
  </div>


const PageAbout = () =>
  <div>
    Страница "О нас"
  </div>

const Page404 = () =>
  <div>
    NOT FOUND
  </div>

const Comments = ({ match: { params: { user, postId } } }) =>
  <div>
    <div>{user} and {postId}</div>
    тут будут отображаться все комментарии под постом
  </div>


function App() {
  return (
    <Router history={history}>
      <div className="wrapper" style={{ display: 'flex', minHeight: '100hv' }}>
        <aside style={{ width: '15%', minHeight: '100vh', backgroundColor: '#ffdbdb' }}>
          <Link to="/">Главная(она же Лента)</Link>
          <br />
          <Link to="/profile">Профиль</Link>
          <br />
          <Link to="/createpost">Создание поста</Link>
          <br />
          <Link to="/direct">Директ</Link>
          <br />
          <Link to="/about">О нас</Link>
          <br />
          <Link to="/registration">Регистрация</Link>
          <br />
          <Link to="/autorization">Авторизация</Link>
        </aside>
        <section style={{ width: '50%', margin: '0 auto', minHeight: '100hv', display: 'flex', flexDirection: 'column' }}>
          <header style={{ backgroundColor: '#dbffe7' }}>
            Тут будут какие-то заголовки или что-то вроде этого
          </header>
          <main style={{ backgroundColor: '#dcdbff', flex: '1 1 auto' }}>
            {/* прописывание редиректа */}
            {/* <Redirect from='/direct' to='/profile' /> */}

            <Switch>
              <Route path="/autorization" component={Autorization} />
              <Route path="/profile" component={User} />
              <Route path="/registration" component={Registration} />
              <Route path="/" component={Feed} exact />
              <Route path="/createpost" component={CreatePost} />
              <Route path="/direct" component={Direct} />
              <Route path="/about" component={PageAbout} />
              <Route path="/:user/:postId" component={Comments} />

              <Route path="*" component={Page404} />
              {/* аналогично */}
              {/* <Page404 /> */}


            </Switch>
          </main>
          <footer style={{ backgroundColor: '#dbffe7' }}>Hipstagram from Volddemar4ik</footer>
        </section>
      </div>
    </Router >
  );
}

export default App;
