import * as React from 'react';
import Card from '@mui/material/Card';
import CardHeader from '@mui/material/CardHeader';
import CardMedia from '@mui/material/CardMedia';
import CardContent from '@mui/material/CardContent';
import CardActions from '@mui/material/CardActions';
import Avatar from '@mui/material/Avatar';
import IconButton from '@mui/material/IconButton';
import Typography from '@mui/material/Typography';
import MoreVertIcon from '@mui/icons-material/MoreVert';
import FavoriteBorderRoundedIcon from '@mui/icons-material/FavoriteBorderRounded';
import SendIcon from '@mui/icons-material/Send';
import ChatBubbleOutlineIcon from '@mui/icons-material/ChatBubbleOutline';
import { Link } from 'react-router-dom';
import TurnedInNotIcon from '@mui/icons-material/TurnedInNot';
import Grid from '@mui/material/Unstable_Grid2';
import Box from '@mui/material/Box';
// import img from '../public/image.jpeg'



// импорты для слайдер
// import React from 'react';
import Carousel from 'react-material-ui-carousel'
import { Paper, Button } from '@mui/material'
import { MyCarousel } from './carousel';



const url = 'http://hipstagram.node.ed.asmer.org.ua/'


// export default function RecipeReviewCard({ date, title, text, likesCount, nickName, login }) {
export default function RecipeReviewCard({ postData }) {

    // формируем дату поста
    const dateofPost = new Date(+postData.createdAt)
    // console.log(dateofPost)
    const months = ['января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря']
    const dateofPostParse = `${dateofPost.getDate() < 10 ? '0' + dateofPost.getDate() : dateofPost.getDate()} ${months[dateofPost.getMonth()]} ${dateofPost.getFullYear()}  ${dateofPost.getHours()}:${dateofPost.getMinutes() < 10 ? '0' + dateofPost.getMinutes() : dateofPost.getMinutes()}`
    // console.log(dateofPostParse)

    // рисуем картинки на постах

    let imgOfPost
    if ((postData.images != null) && ((postData.images).length != 0)) {
        imgOfPost = url + postData.images[0].url
        console.log(imgOfPost)
    }




    // // сама карусель - ее нужно вынеси в отдельный контенйре

    // const MyCarousel = function Example(props) {
    //     var items = [
    //         {
    //             // name: "Random Name #1",
    //             // description: "Probably the most random thing you have ever seen!",
    //             url: "/images/image.jpeg"
    //         },
    //         {
    //             // name: "Random Name #2",
    //             // description: "Hello World!",
    //             url: "/images/image2.jpeg"
    //         },
    //         {
    //             url: "/images/image4.jpeg"
    //         }
    //     ]

    //     return (
    //         <Carousel autoPlay={false} indicatorContainerProps={{
    //             style: {
    //                 marginTop: '-50px', // 5
    //                 zIndex: 999,
    //                 position: 'inherit' // 4
    //             }

    //         }} >
    //             {
    //                 items.map((item, i) => <Item key={i} item={item} />)
    //             }
    //         </Carousel >
    //     )
    // }

    // function Item(props) {
    //     return (
    //         <div style={{
    //             width: 500,
    //             height: 625,
    //             backgroundColor: 'black',
    //             display: 'flex',
    //             alignItems: 'center'
    //         }}>
    //             <img src={props.item.url} style={{
    //                 width: '100%',
    //             }} />
    //         </div>
    //     )
    // }








    return (
        <Card sx={{ maxWidth: 500 }}>
            <CardHeader
                avatar={
                    <Avatar
                        alt=""
                        src="/images/avatar.jpeg"
                        sx={{ width: 50, height: 50 }}
                        style={{ margin: '5px', border: '3px solid black', borderRadius: '50%', flexShrink: '0', overflow: 'hidden' }}
                    />
                }
                action={   // троеточие в хедере
                    <IconButton aria-label="settings">
                        <MoreVertIcon />
                    </IconButton>
                }
                // title="Author Author(ович)" // автор поста
                // title={nickName ? nickName : login} // автор поста
                title={postData.owner.nick ? postData.owner.nick : postData.owner.login} // автор поста
                subheader={dateofPostParse} // дата создания поста
            />
            <CardMedia
            // component="img"
            // height="100%" // высота картинки
            // // image="/images/image.jpeg" // ссылка на картинку в посте
            // image={imgOfPost ? imgOfPost : "/images/image.jpeg"} // ссылка на картинку в посте
            // alt="Котики" // описание картинки
            >
                <MyCarousel />
            </CardMedia>
            <CardActions disableSpacing>
                <Box sx={{ flexGrow: 1 }}>
                    <Grid container spacing={2}>
                        <Grid
                            xs={12}
                            container
                            justifyContent="space-between"
                            alignItems="center"
                            flexDirection={{ xs: 'column', sm: 'row' }}
                            sx={{ fontSize: '12px' }}
                        >
                            <Grid container columnSpacing={1} sx={{ order: { xs: 2, sm: 1 } }}>
                                <Grid>
                                    <IconButton aria-label="add to favorites">
                                        <FavoriteBorderRoundedIcon />
                                    </IconButton>
                                </Grid>
                                <Grid>
                                    <IconButton>
                                        <ChatBubbleOutlineIcon />
                                    </IconButton>
                                </Grid>
                                <Grid>
                                    <IconButton aria-label="share">
                                        <SendIcon />
                                    </IconButton>
                                </Grid>
                            </Grid>
                            <Grid sx={{ order: { xs: 1, sm: 2 } }}>
                                <IconButton>
                                    <TurnedInNotIcon />
                                </IconButton>
                            </Grid>
                        </Grid>
                    </Grid>
                </Box>
            </CardActions>
            <CardActions>
                {/* Нравится: 78 */}
                {/* Нравится: {likesCount ? likesCount : '0'} */}
                Нравится: {postData.likesCount ? postData.likesCount : '0'}
                {/* Нравится: {postData.likesCount || '0'} // сработает или нет - проверить */}
            </CardActions>
            <CardContent>
                <Typography variant="subtitle2" color="text.secondary">
                    {/* {title} */}
                    {postData.title}
                </Typography>
                <Typography variant="body2" color="text.secondary">
                    {/* {text} */}
                    {postData.text}
                </Typography>
            </CardContent>
            {/* <CardContent>
                тут будет слайдер
                <MyCarousel />
            </CardContent> */}
            <CardActions>
                {/* <Link to="/user/postId">Посмотреть все комментарии (44)</Link> */}
                <Link to={postData._id}>Посмотреть все комментарии (44)</Link>
            </CardActions>

        </Card>
    )
}




